# MSP::CCS::PolarStereographic Class Reference

`#include <PolarStereographic.h>`

Inheritance diagram for MSP::CCS::PolarStereographic:

List of all members.

## Public Member Functions

| PolarStereographic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double standardParallel, double falseEasting, double falseNorthing)
| PolarStereographic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double scaleFactor, char hemisphere, double falseEasting, double falseNorthing)
| PolarStereographic (const PolarStereographic &ps)
| ~PolarStereographic (void)
PolarStereographic & | operator= (const PolarStereographic &ps)
PolarStereographicStandardParallelParameters * | getStandardParallelParameters () const
PolarStereographicScaleFactorParameters * | getScaleFactorParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 113 of file PolarStereographic.h.

## Constructor & Destructor Documentation

PolarStereographic::PolarStereographic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | standardParallel,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 138 of file PolarStereographic.cpp.

PolarStereographic::PolarStereographic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | scaleFactor,
|  | char | hemisphere,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 262 of file PolarStereographic.cpp.

PolarStereographic::PolarStereographic | ( | const PolarStereographic & | ps | ) |

Definition at line 410 of file PolarStereographic.cpp.

PolarStereographic::~PolarStereographic | ( | void |  | ) |

Definition at line 432 of file PolarStereographic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * PolarStereographic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 503 of file PolarStereographic.cpp.

MSP::CCS::GeodeticCoordinates * PolarStereographic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 598 of file PolarStereographic.cpp.

PolarStereographicScaleFactorParameters * PolarStereographic::getScaleFactorParameters | ( |  | ) | const

Definition at line 482 of file PolarStereographic.cpp.

PolarStereographicStandardParallelParameters * PolarStereographic::getStandardParallelParameters | ( |  | ) | const

Definition at line 464 of file PolarStereographic.cpp.

PolarStereographic & PolarStereographic::operator= | ( | const PolarStereographic & | ps | ) |

Definition at line 437 of file PolarStereographic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/polarst/PolarStereographic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/polarst/PolarStereographic.cpp